Package commoble.morered.soldering

# Record Class SolderingRecipeButtonPacket

java.lang.Object
java.lang.Record
commoble.morered.soldering.SolderingRecipeButtonPacket

All Implemented Interfaces:
  `net.minecraft.network.protocol.common.custom.CustomPacketPayload`

public record SolderingRecipeButtonPacket(net.minecraft.resources.ResourceLocation recipeId) extends Record implements net.minecraft.network.protocol.common.custom.CustomPacketPayload
Packet sent from client to server when client clicks a recipe button in the soldering screen

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.minecraft.network.protocol.common.custom.CustomPacketPayload

`net.minecraft.network.protocol.common.custom.CustomPacketPayload.FallbackProvider<B extends net.minecraft.network.FriendlyByteBuf>, net.minecraft.network.protocol.common.custom.CustomPacketPayload.Type<T extends net.minecraft.network.protocol.common.custom.CustomPacketPayload>, net.minecraft.network.protocol.common.custom.CustomPacketPayload.TypeAndCodec<B extends net.minecraft.network.FriendlyByteBuf,T extends net.minecraft.network.protocol.common.custom.CustomPacketPayload>`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.network.codec.StreamCodec<io.netty.buffer.ByteBuf,SolderingRecipeButtonPacket>`
`STREAM_CODEC`
`static final net.minecraft.network.protocol.common.custom.CustomPacketPayload.Type<SolderingRecipeButtonPacket>`
`TYPE`

## Constructor Summary

Constructors
Constructor
Description
`SolderingRecipeButtonPacket(net.minecraft.resources.ResourceLocation recipeId)`
Creates an instance of a `SolderingRecipeButtonPacket` record class.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`void`
`handle(net.neoforged.neoforge.network.handling.IPayloadContext context)`
`void`
`handleThreadsafe(net.neoforged.neoforge.network.handling.IPayloadContext context)`
`final int`
`hashCode()`
Returns a hash code value for this object.
`net.minecraft.resources.ResourceLocation`
`recipeId()`
Returns the value of the `recipeId` record component.
`final String`
`toString()`
Returns a string representation of this record class.
`net.minecraft.network.protocol.common.custom.CustomPacketPayload.Type<? extends net.minecraft.network.protocol.common.custom.CustomPacketPayload>`
`type()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### TYPE

public static final net.minecraft.network.protocol.common.custom.CustomPacketPayload.Type<SolderingRecipeButtonPacket> TYPE

### STREAM_CODEC

public static final net.minecraft.network.codec.StreamCodec<io.netty.buffer.ByteBuf,SolderingRecipeButtonPacket> STREAM_CODEC

## Constructor Details

### SolderingRecipeButtonPacket

public SolderingRecipeButtonPacket(net.minecraft.resources.ResourceLocation recipeId)
Creates an instance of a `SolderingRecipeButtonPacket` record class.

Parameters:
  `recipeId` - the value for the `recipeId` record component

## Method Details

### handle

public void handle(net.neoforged.neoforge.network.handling.IPayloadContext context)

### handleThreadsafe

public void handleThreadsafe(net.neoforged.neoforge.network.handling.IPayloadContext context)

### type

public net.minecraft.network.protocol.common.custom.CustomPacketPayload.Type<? extends net.minecraft.network.protocol.common.custom.CustomPacketPayload> type()

Specified by:
  `type` in interface `net.minecraft.network.protocol.common.custom.CustomPacketPayload`

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### recipeId

public net.minecraft.resources.ResourceLocation recipeId()
Returns the value of the `recipeId` record component.

Returns:
  the value of the `recipeId` record component